import { Promise } from 'rsvp';
import mailApi from 'api/mail';
import { start, succeedAll, fail } from './handlers';

export default {
    showSettings,
};

function showSettings() {
    start();

    return Promise.all([
        mailApi.getSettings(),
        mailApi.getDkimStatus(),
        mailApi.getImportStatus(),
    ])
        .then(succeedAll)
        .catch(fail);
}
